package cn.com.countrygarden.bi.main.service.wcx;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.wcx.BdTypeDo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.wcx.WcxUserAdmDto;

import java.util.List;

public interface WcxUserDtoService {
    PageData queryPageList(WcxUserAdmDto wcxUserAdmDto, AccessToken accessToken);

    List<BdTypeDo> findRoleregionfour(AccessToken accessToken);

    Object getPojDate(AccessToken accessToken, String organCode);

    void allpoj();

    Result addUser(WcxUserAdmDto wcxUserAdmDto, AccessToken accessToken);

    Result addInvalid(WcxUserAdmDto wcxUserAdmDto, AccessToken accessToken);

    PageData getReading(AccessToken accessToken, WcxUserAdmDto wcxUserAdmDto);
}
